\documentclass{standalone}

\input{../../macros/macros}

\usepackage{../../../msc}
\begin{document}
\setlength{\firstlevelheight}{0.4cm}
\begin{msc}[msc keyword=, draw frame = none, instance distance=3cm]{}
\declinst{V}{}{V (Verifier)}
\declinst{P}{}{P (Prover)}
\action*{nonce $a$}{P}
\action*{nonce $m$}{V}
\nextlevel[1.5]
\mess{$\hashFunc(m)$}{V}{P}
\nextlevel[1.5]
\mess*{$a$}{P}{V}
\measure[r]{max $\Delta$}{V}{P}[1.5]
\nextlevel[1.5]
\mess*{$a \xor m$}{V}{P}
\nextlevel[1.5]
\action*{$k = \hashFunc(a \xor m)$}{P}
\action*{$k = \hashFunc(a \xor m)$}{V}
\nextlevel[1.5]
\action*{$H = MAC(MeM, k)$}{P}
\nextlevel[3]
\mess{$\pair{H}{MAC(H, k)}$}{P}{V}
\nextlevel[0.5]
\condition*{$\claim{V}{\erasure, P}$}{V}
\nextlevel
\end{msc}

\end{document}